package cn.iocoder.yudao.module.order.vo.orderException.additional;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class GoodsLineOverWeightAdditionalBo {

    /**
     * 商品id
     */
    private Long prodId;

    private String prodTitleZh;
    private String prodTitleEn;
    private String prodTitleFr;

    /**
     * 线路id
     */
    private Long lineId;

    private String lineStartNameZh;
    private String lineStartNameEn;
    private String lineStartNameFr;
    private String lineDestNameZh;
    private String lineDestNameEn;
    private String lineDestNameFr;


    /**
     * 渠道id
     */
    private Long channelId;

    private String channelNameZh;
    private String channelNameEn;
    private String channelNameFr;


    private BigDecimal weightSum;

    private BigDecimal goodsLineOverWeightLimit;


    private String goodsLineWeightExceptionDescZh;
    private String goodsLineWeightExceptionDescEn;
    private String goodsLineWeightExceptionDescFr;

}
