package cn.iocoder.yudao.module.order.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "空运订单批量加价参数")
public class OrderItemMarkupPriceParam {

    @ApiModelProperty("订单项id")
    private Long orderItemId;

    @ApiModelProperty("运费")
    private BigDecimal freightFee;

    @ApiModelProperty("清关费")
    private BigDecimal clearanceFee;
}
